> For the complete documentation index, see [llms.txt](https://xoops.gitbook.io/xmf-cookbook/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://xoops.gitbook.io/xmf-cookbook/reference/database/tables/interacting-with-the-work-queue.md).

# Interacting with the Work Queue

## executeQueue(*$force*)

Executes the current work queue. If *$force* is specified as *true*, the changes specified in the queue will be processed even if the current request should be considered [idempotent](https://en.wikipedia.org/wiki/Idempotence#Computer_science_meaning) or safe, such as a HTTP 'GET'.

Returns *true* on success, or *false* on error. Additional information may be available using getLastError() and getLastErrNo().

## resetQueue()

Clears the work queue without processing.

## addToQueue(*$sql*)

Adds an SQL/DDL statement to the work queue. This can be useful in special circumstances. Be aware that no processing is performed on the SQL -- it is used as supplied. No attempt is made to insure portability or compatibility among different database platforms.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://xoops.gitbook.io/xmf-cookbook/reference/database/tables/interacting-with-the-work-queue.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
